FIX::UtcDateField Class Reference

Field that contains a UTC date value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcDateField:
[legend]
Collaboration diagram for FIX::UtcDateField:
[legend]

## Public Member Functions

| UtcDateField (int field, const UtcDate &data)
| UtcDateField (int field)
void | setValue (const UtcDate &value)
UtcDate | getValue () const throw ( IncorrectDataFormat )
| operator UtcDate () const
bool | operator< (const UtcDateField &rhs) const
bool | operator== (const UtcDateField &rhs) const
bool | operator!= (const UtcDateField &rhs) const
Public Member Functions inherited from FIX::FieldBase
| FieldBase (int tag, const std::string &string)
virtual | ~FieldBase ()
| FieldBase (const FieldBase &rhs)
FieldBase & | operator= (const FieldBase &rhs)
void | swap (FieldBase &rhs)
void | setTag (int tag)
void | setField (int field)
void | setString (const std::string &string)
int | getTag () const
| Get the fields integer tag.
int | getField () const
const std::string & | getString () const
| Get the string representation of the fields value.
const std::string & | getFixString () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
size_t | getLength () const
| Get the length of the fields string representation.
int | getTotal () const
| Get the total value the fields characters added together.
bool | operator< (const FieldBase &field) const
| Compares fields based on their tag numbers.

## Detailed Description

Field that contains a UTC date value.

Definition at line 470 of file Field.h.

## Constructor & Destructor Documentation

## UtcDateField() [1/2]

FIX::UtcDateField::UtcDateField | ( | int | field,
|  | const UtcDate & | data
| ) |  |

inline explicit

Definition at line 473 of file Field.h.

: FieldBase( field, UtcDateConvertor::convert( data ) ) {}
FIX::FieldBase::FieldBase
FieldBase(int tag, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition Field.h:80
FIX::UtcDateConvertor::convert
static std::string convert(const UtcDate &value)
Definition FieldConvertors.h:635

## UtcDateField() [2/2]

FIX::UtcDateField::UtcDateField | ( | int | field | ) |

inline

Definition at line 475 of file Field.h.

: FieldBase( field, UtcDateConvertor::convert( UtcDate() ) ) {}
FIX::TYPE::UtcDate
@ UtcDate
Definition FieldTypes.h:931

## Member Function Documentation

## getValue()

UtcDate FIX::UtcDateField::getValue | ( |  | ) | const
throw | ( | IncorrectDataFormat
| ) |  |

inline

Definition at line 480 of file Field.h.

{ try
{ return UtcDateConvertor::convert( getString() ); }
catch( FieldConvertError& )
{ throw IncorrectDataFormat( getTag(), getString() ); } }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition Field.h:152
FIX::FieldBase::getTag
int getTag() const
Get the fields integer tag.
Definition Field.h:144

References FIX::UtcDateConvertor::convert(), FIX::FieldBase::getString(), and FIX::FieldBase::getTag().

Referenced by operator UtcDate(), operator!=(), operator<(), and operator==().

## operator UtcDate()

FIX::UtcDateField::operator UtcDate | ( |  | ) | const

inline

Definition at line 485 of file Field.h.

{ return getValue(); }
FIX::UtcDateField::getValue
UtcDate getValue() const
Definition Field.h:480

References getValue().

## operator!=()

bool FIX::UtcDateField::operator!= | ( | const UtcDateField & | rhs | ) | const

inline

Definition at line 492 of file Field.h.

{ return getValue() != rhs.getValue(); }

References getValue().

## operator<()

bool FIX::UtcDateField::operator< | ( | const UtcDateField & | rhs | ) | const

inline

Definition at line 488 of file Field.h.

{ return getValue() < rhs.getValue(); }

References getValue().

## operator==()

bool FIX::UtcDateField::operator== | ( | const UtcDateField & | rhs | ) | const

inline

Definition at line 490 of file Field.h.

{ return getValue() == rhs.getValue(); }

References getValue().

## setValue()

void FIX::UtcDateField::setValue | ( | const UtcDate & | value | ) |

inline

Definition at line 478 of file Field.h.

{ setString( UtcDateConvertor::convert( value ) ); }
FIX::FieldBase::setString
void setString(const std::string &string)
Definition Field.h:136

References FIX::UtcDateConvertor::convert(), and FIX::FieldBase::setString().

The documentation for this class was generated from the following file:

- Field.h